var ArticleTitle;
var ArticleId;
var PageScroll;

function ShowEmailArticle(Id, ArticleName)
{
	ArticleTitle = ArticleName;
	ArticleId = Id;
	PageScroll = 0;
	Page = getPageScroll();
	PageScroll = Page[1];
	if ($('sendername'))
	{
		ShowEmailForm();
		return false;
	}

	new Ajax.Request
	(
		'/modules/articles_module/AJAX/EmailArticle.php',
		{
			method: 'post',
			parameters: 'act=getform',
			onSuccess: ShowEmailForm,
			onFailure: LoadFailed
		}
	);
	
	return false;
}

function ShowEmailForm(response)
{
	var yScroll = 0;

	if (self.pageYOffset)
	{
		yScroll = self.pageYOffset;
	}
	else if (document.documentElement && document.documentElement.scrollTop) // Explorer 6 Strict
	{
		yScroll = document.documentElement.scrollTop;
	}
	else if (document.body) // all other Explorers
	{
		yScroll = document.body.scrollTop;
	}

	if (isNaN(window.innerHeight + window.scrollMaxY))
	{
		PageWidth = document.body.scrollWidth;
		PageHeight = document.body.scrollHeight;
	}
	else
	{
		PageWidth = window.innerWidth;
		PageHeight = window.innerHeight + window.scrollMaxY;
	}

	HideSelectBoxes();

	WindowTargetX = (PageWidth - 450) / 2;
	$('dialog').style.height = PageHeight + 40;
	$('efriendform').style.left = WindowTargetX;
	$('efriendform').style.top = 200 + yScroll;

	if (response)
		$('efriendform').innerHTML = response.responseText;
	HideMessage();
	$('sendbtn').disabled = false;
	$('earticlename').innerHTML = ArticleTitle;
	$('dialog').style.display = 'inline';
	//PageScrollSet(PageScroll);
	$('efriendform').style.display = 'inline';
}

function LoadFailed()
{
	alert('Connection timeout, please try again later');
}

function HideEmailArticle()
{
	ShowSelectBoxes();
	$('dialog').style.display = 'none';
	$('efriendform').style.display = 'none';
	$('sendername').value = '';
	$('senderemail').value = '';
	$('friendname').value = '';
	$('friendemail').value = '';
	$('subject').value = '';
	$('comments').value = '';
}

function ShowSelectBoxes()
{
	selects = document.getElementsByTagName("select");
	embeds = document.getElementsByTagName("embed");
	for (i = 0; i != selects.length; i++)
		selects[i].style.visibility = "visible";
	for (i = 0; i != embeds.length; i++)
		embeds[i].style.visibility = "visible";
}

function HideSelectBoxes()
{
	selects = document.getElementsByTagName("select");
	embeds = document.getElementsByTagName("embed");
	for (i = 0; i != selects.length; i++)
		selects[i].style.visibility = "hidden";
	for (i = 0; i != embeds.length; i++)
		embeds[i].style.visibility = "hidden";
}

function IsValidEmail(email)
{
   return (email.indexOf(".") > 2) && (email.indexOf("@") > 0);
}

function SendArticle()
{
	if ($('sendername').value == '')
	{
		alert('Please fill in your name');
		$('sendername').focus();
		return;
	}

	if ($('senderemail').value == '')
	{
		alert('Please fill in your e-mail');
		$('senderemail').focus();
		return;
	}

	if (!IsValidEmail($('senderemail').value))
	{
		alert('Please enter a valid e-mail');
		$('senderemail').focus();
		return;
	}

	if ($('friendname').value == '')
	{
		alert("Please fill in your friend's name");
		$('friendname').focus();
		return;
	}

	if ($('friendemail').value == '')
	{
		alert("Please fill in your friend's e-mail");
		$('friendemail').focus();
		return;
	}

	if (!IsValidEmail($('friendemail').value))
	{
		alert('Please enter a valid e-mail');
		$('friendemail').focus();
		return;
	}

	if ($('subject').value == '')
	{
		alert('Please write the subject of the email');
		$('subject').focus();
		return;
	}

	$('sendbtn').disabled = true;

	new Ajax.Request
	(
		'/modules/articles_module/AJAX/EmailArticle.php',
		{
			method: 'post',
			parameters: 'act=send&sname=' + $('sendername').value + '&semail=' + $('senderemail').value + '&fname=' + $('friendname').value
						+ '&femail=' + $('friendemail').value + '&subject=' + $('subject').value + '&comments=' + $('comments').value
						+ '&aid=' + ArticleId,
			onSuccess: ArticleSendSuccess,
			onFailure: ArticleSendFailure
		}
	);
}

function ShowMessage(message, color)
{
	$('sendmessage').innerHTML = message;
	$('sendmessage').style.color = color;
}

function HideMessage()
{
	$('sendmessage').innerHTML = '';
}

function ArticleSendSuccess(response)
{
	if (response.responseText == '1')
	{
		ShowMessage('Article was successfully sent !', 'green');
		setTimeout('HideEmailArticle()', 2500);
	}
	else
	{
		ShowMessage('Sending failed, please try again later', 'red');
		setTimeout('HideMessage()', 2500);
	}
}

function ArticleSendFailure()
{
	ShowMessage('Connection timeout, please try again later', 'red');
	setTimeout('HideMessage()', 2500);
}


function ShowHideSection(BlogId, objId)
{
	if ($('collapse'+objId).innerHTML.length <= 50)
	{
		CurrentSection = objId;

		new Ajax.Request ('/modules/articles_module/AJAX/LoadCategories.php', {method: 'post',parameters: 'BlogId=' + BlogId + '&CatId=' + objId,onSuccess: FillSection,onFailure: DoFail});
	}
	else
	{
		SHSection(objId);
	}
	
	return false;
}

function FillSection(response)
{
	$('collapse'+CurrentSection).innerHTML = "<ul>"+ response.responseText +"</ul>";
	SHSection(CurrentSection);	
}

function SHSection(objId)
{
	if($('collapse'+objId).style.display == 'none')
	{
		$('collapse'+objId).style.display = 'inline';
		$('img_' + objId).src = '/img/cmi.gif';
	}
	else
	{
		$('collapse'+objId).style.display = 'none';
		$('img_' + objId).src = '/img/cpl.gif';
	}	
}
